## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname pytest-dependency

Name:           python-%{srcname}
Version:        0.6.0
Release:        %autorelease
Summary:        Pytest plugin to manage dependencies of tests

License:        Apache-2.0
URL:            https://github.com/RKrahl/pytest-dependency
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This module is a plugin for the popular Python testing framework pytest.
It manages dependencies of tests: you may mark some tests as dependent from
other tests. These tests will then be skipped if any of the dependencies did
fail or has been skipped.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_dependency

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGES.rst

%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 0.6.0-4
- Rebuilt for Python 3.14

* Sat Apr 19 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.6.0-3
- Fix FTBFS due to missing tox configuration - Closes rhbz#2354118

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Aug 26 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.6.0-1
- Initial package - Closes rhbz#2283312
## END: Generated by rpmautospec
